%define major		2
%define libname		%mklibname cap %{major}
%define develname	%mklibname cap -d

Summary: 	Library for getting and setting POSIX.1e capabilities
Name: 		libcap
Version: 	2.52
%define subrel 1
Release: 	%mkrel 5
Group: 		System/Kernel and hardware
License: 	BSD/GPLv2
URL: 		https://www.kernel.org/pub/linux/libs/security/linux-privs/
Source0:	https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/%{name}-%{version}.tar.xz
Source1:	ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4/capfaq-0.2.txt
Patch0:		libcap-use-compiler-flag-options.patch
Patch1:		libcap-linking.patch
Patch2:		CVE-2023-2602.patch
Patch3:		CVE-2023-2603.patch
Patch4:		CVE-2025-1390-1.patch
Patch5:		CVE-2025-1390-2.patch
BuildRequires:	attr-devel
BuildRequires:	glibc-static-devel
BuildRequires:	pam-devel

%description
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package	utils
Summary:	Administration tools for POSIX.1e capabilities
Group:		System/Kernel and hardware

%description	utils
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

This package contains utilities to control these capabilities.

%package -n	pam_cap
Summary:	PAM module for getting and setting POSIX.1e capabilities
Group:		System/Libraries

%description -n	pam_cap
The purpose of this module is to enforce inheritable capability sets for a
specified user.

%package -n	%{libname}
Summary:	Library for getting and setting POSIX.1e capabilities
Group:		System/Kernel and hardware
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Kernel
Requires:	%{name}-utils = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:       cap-devel = %{version}-%{release}
Conflicts:	%{mklibname cap 1 -d}

%description -n	%{develname}
Development files (Headers, libraries for static linking, etc) for %{name}.

%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

Install %{name}-devel if you want to develop or compile applications supporting
Linux kernel capabilities.

%prep
%autosetup -p1

install -m644 %{SOURCE1} .

perl -pi -e 's,^man_prefix=.*,man_prefix=\$\(prefix)/share,g' Make.Rules

perl -pi -e 's,fgrep,grep -F,g' libcap/Makefile Makefile progs/mkcapshdoc.sh progs/quicktest.sh
perl -pi -e 's,egrep,grep -E,g' doc/Makefile Makefile Make.Rules

%build
%serverbuild
%make_build prefix=%{_prefix} lib=%{_lib}

%install
install -d %{buildroot}%{_sysconfdir}/security

make install RAISE_SETFCAP=no \
             DESTDIR=%{buildroot} \
             LIBDIR=%{_libdir} \
             SBINDIR=%{_sbindir} \
             INCDIR=%{_includedir} \
             MANDIR=%{_mandir}/ \
             PKGCONFIGDIR=%{_libdir}/pkgconfig/

# conflics with man-pages
rm -f %{buildroot}%{_mandir}/man2/*

install -m0640 pam_cap/capability.conf %{buildroot}%{_sysconfdir}/security/

%files utils
%doc CHANGELOG License README contrib
%{_sbindir}/capsh
%{_sbindir}/getcap
%{_sbindir}/getpcaps
%{_sbindir}/setcap
%{_mandir}/man8/getcap.8*
%{_mandir}/man8/setcap.8*
%{_mandir}/man8/getpcaps.8*

%files -n pam_cap
%doc pam_cap/License
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/security/capability.conf
%{_libdir}/security/pam_cap.so

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc capfaq-0.2.txt
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/libpsx.pc
%{_mandir}/man3/*
%{_mandir}/man1/capsh.1.*


%changelog
* Tue Feb 25 2025 ns80 <ns80> 2.52-5.1.mga9
+ Revision: 2152231
- add patches from Ubuntu for CVE-2025-1390 (mga#34048)

* Thu Jun 22 2023 wally <wally> 2.52-5.mga9
+ Revision: 1962788
- fix libdir in aarch64 pkg-conf .pc file

* Thu Jun 22 2023 wally <wally> 2.52-4.mga9
+ Revision: 1962784
- apply mistakenly removed compiler flags patch again
- add patch to fix linking

* Wed Jun 21 2023 ns80 <ns80> 2.52-3.mga9
+ Revision: 1962727
- add patches from Ubuntu for CVE-2023-260[23] (mga#31938)

* Sun Mar 27 2022 umeabot <umeabot> 2.52-2.mga9
+ Revision: 1829262
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 2.52-1.mga9
+ Revision: 1740210
- 2.52

* Mon Aug 02 2021 luigiwalser <luigiwalser> 2.48-1.mga9
+ Revision: 1738657
- 2.48
- add patch from fedora to use distro compiler flags

* Wed Dec 30 2020 luigiwalser <luigiwalser> 2.46-1.mga8
+ Revision: 1665882
- 2.46

* Wed Nov 18 2020 luigiwalser <luigiwalser> 2.45-1.mga8
+ Revision: 1647134
- 2.45

* Sat Feb 15 2020 umeabot <umeabot> 2.27-2.mga8
+ Revision: 1526285
- Mageia 8 Mass Rebuild

* Mon May 13 2019 luigiwalser <luigiwalser> 2.27-1.mga7
+ Revision: 1397518
- 2.27

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.26-1.mga7
+ Revision: 1345905
- 2.26

* Fri Dec 21 2018 daviddavid <daviddavid> 2.25-3.mga7
+ Revision: 1343984
- devel pkg requires libcap-utils

* Sun Sep 23 2018 umeabot <umeabot> 2.25-2.mga7
+ Revision: 1298775
- Mageia 7 Mass Rebuild

* Mon Apr 11 2016 tv <tv> 2.25-1.mga6
+ Revision: 1000360
- renumber patch0
- fix installing + adjust file list
- rediff patch 0
- new release

* Thu Feb 11 2016 umeabot <umeabot> 2.24-5.mga6
+ Revision: 955442
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.24-4.mga6
+ Revision: 867552
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.24-3.mga5
+ Revision: 741401
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.24-2.mga5
+ Revision: 681364
- Mageia 5 Mass Rebuild

* Wed Feb 12 2014 sander85 <sander85> 2.24-1.mga5
+ Revision: 589878
- New version: 2.24

* Fri Oct 18 2013 umeabot <umeabot> 2.22-4.mga4
+ Revision: 506883
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.22-3.mga3
+ Revision: 356908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 15 2011 fwang <fwang> 2.22-2.mga2
+ Revision: 181763
- disable setfcap
- fix build
- cleanup spec
+ tv <tv>
- patch 0: fix linkage
- drop patch 0
- new release
- new release

* Sun Jan 09 2011 blino <blino> 2.19-7.mga1
+ Revision: 2726
- remove old ldconfig scriptlets
- imported package libcap


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2.19-6mdv2011.0
+ Revision: 601038
- rebuild

  + Matthew Dawkins <mattydaw@mandriva.org>
    - removed hardcoded compression extention for the man page

* Thu Apr 29 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.19-5mdv2010.1
+ Revision: 540831
- rebuild so that shared libraries are properly stripped again

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.19-4mdv2010.1
+ Revision: 540355
- rebuild so that shared libraries are properly stripped again

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.19-3mdv2010.1
+ Revision: 540032
- rebuild so that shared libraries are properly stripped again

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2.19-2mdv2010.1
+ Revision: 540030
- rebuild so that shared libraries are properly stripped again

* Sun Mar 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.19-1mdv2010.1
+ Revision: 515521
- fix file list
- update to 2.19

* Sat Dec 19 2009 Oden Eriksson <oeriksson@mandriva.com> 2.17-1mdv2010.1
+ Revision: 480177
- 2.17
- drop two patches not needed anymore

* Thu Mar 05 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.16-2mdv2009.1
+ Revision: 348913
- Remove workaround for kernel headers from /usr/include/sys/capability.h
  provided by libcap-devel, the inclusion of <sys/capability.h> should
  work with current pristine kernel-headers. Without this capability.h
  provided by libcap can break other packages because the hacking it
  does with defines. This fix build of current coreutils package and
  potentially others.

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.16-1mdv2009.1
+ Revision: 315551
- 2.16
- use CFLAGS from the %%serverbuild macro
- use LDFLAGS from the %%configure macro
- fix linkage

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.10-1mdv2009.0
+ Revision: 230575
- 2.10
- drop redundant patches
- added P0 to built the tools non static
- fix deps
- added the pam_cap sub package

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.10-10mdv2009.0
+ Revision: 222524
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 David Walluck <walluck@mandriva.org> 1.10-9mdv2008.1
+ Revision: 140301
- Provides: cap-devel = %%{version}-%%{release}

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.10-8mdv2008.0
+ Revision: 90769
- new devel naming

* Fri Jun 08 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10-7mdv2008.0
+ Revision: 37599
- sync with ALT Linux
- do parallel build


* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.10-6mdv2007.0
+ Revision: 86113
- bunzip patches
- added P3 to avoid running ldconfig at "make install"
- spec file cleanups
- Import libcap

* Mon Jan 09 2006 Anssi Hannula <anssi@mandriva.org> 1.10-5mdk
- %%mkrel
- fix build, we now have comma in %%optflags
- drop false claims about not permitting caps
- fix requires-on-release

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 1.10-4mdk
- mklibname
- bzip2 patches
- spec fixes for 64bit

